import { MigrationInterface, QueryRunner } from 'typeorm';

export class AddColumnItemId1726139426994 implements MigrationInterface {
  name = 'AddColumnItemId1726139426994';

  public async up(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.query(`ALTER TABLE "users_login" ADD "item_id" uuid`);
    await queryRunner.query(`ALTER TABLE "log_users_login" ADD "item_id" uuid`);
  }

  public async down(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.query(
      `ALTER TABLE "log_users_login" DROP COLUMN "item_id"`,
    );
    await queryRunner.query(`ALTER TABLE "users_login" DROP COLUMN "item_id"`);
  }
}
